All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::op_applier< OpT > Struct Template Reference

Worker class for decomposing expression templates. More...

`#include <op_applier.hpp>`

## Public Types

typedef OpT::ERROR_UNKNOWN_OP_TAG_PROVIDED | error_type

## Detailed Description

### template<typename OpT>
struct viennacl::linalg::detail::op_applier< OpT >

Worker class for decomposing expression templates.

Template Parameters

  A | Type to which is assigned to
  OP | One out of {op_assign, op_inplace_add, op_inplace_sub} @
  T | Right hand side of the assignment

Definition at line 43 of file op_applier.hpp.

## Member Typedef Documentation

template<typename OpT >

typedef OpT::ERROR_UNKNOWN_OP_TAG_PROVIDED viennacl::linalg::detail::op_applier< OpT >::error_type

Definition at line 45 of file op_applier.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/op_applier.hpp